package ru.dbotthepony.kstarbound.defs.item

import ru.dbotthepony.kstarbound.defs.animation.IAnimated
import ru.dbotthepony.kvector.vector.ndouble.Vector2d

interface IHarvestingToolDefinition : IItemDefinition, IAnimated {
	/**
	 * Радиус в тайлах, на какое расстояние действует данный инструмент для сбора
	 */
	val blockRadius: Int

	/**
	 * Радиус в тайлах, на какое расстояние действует данный инструмент для сбора
	 */
	val altBlockRadius: Int

	/**
	 * Звуки в бездействии
	 */
	val idleSound: List<String>

	/**
	 * Звуки при работе
	 */
	val strikeSounds: List<String>

	/**
	 * Позиция инструмента в руке (смещение в пикселях)
	 */
	val handPosition: Vector2d

	/**
	 * Время атаки
	 */
	val fireTime: Double
}
